### Method

# Fwupd Remote set_agreement

since: 1.0.7

#### Declaration [src]

    void
    fwupd_remote_set_agreement (
      FwupdRemote* self,
      const gchar* agreement
    )

#### Description [src]

Sets the remote agreement in AppStream markup format.

Available since: 1.0.7

#### Parameters

`agreement`

  Type: `const gchar*`

  Agreement markup text.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.